#ifdef RCSID
static char RCSid[] =
"$Header: d:/cvsroot/tads/TADS2/mac/OSMETC2.C,v 1.2 1999/05/17 02:52:18 MJRoberts Exp $";
#endif

/* Copyright (c) 1992 by Michael J. Roberts.  All Rights Reserved. */
/*
Name
  osmetc2.c  - mac os implementation for TADS Compiler 2.0
Function
  Abbreviated version of ossmac.c for the TADS Compiler.  Since
  the compiler only needs to be able to display text, not read it,
  and since the run-time menus aren't used, this module is a lot
  smaller than the full ossmac.c.
Notes
  None
Modified
  12/26/97 CNebel      - updated for modern interfaces.
  08/30/92 MJRoberts   - creation
*/

#include <assert.h>

#include <QuickDraw.h>
#include <TextEdit.h>
#include <Types.h>
#include <Fonts.h>
#include <Windows.h>
#include <Menus.h>
#include <Dialogs.h>
#include <Events.h>
#include <Files.h>
#include <Controls.h>
#include <ToolUtils.h>

#define qdPort  (qd.thePort)
#define qdBits  (qd.screenBits)

#include <stdlib.h>
#include <stddef.h>
#include <string.h>
#include "os.h"
#include "ossmac.h"
#include "dbgumac.h"


#define windowID                128
#define STATUS_OFFSET   18

/* resource IDs of menus */
#define appleID                 128
#define fileID                  129
#define editID                  130

/* Edit menu command indices */
#define undoCommand             1
#define cutCommand              3
#define copyCommand             4
#define pasteCommand    5
#define clearCommand    6

/* Menu indices */
#define appleM                  0
#define fileM                   1
#define editM                   2

#define fmQuit                  1

WindowPtr               myWindow, gameWindow;
TEHandle                TEH;
int                             linesInFolder;
Rect                    dragRect = { 0, 0, 1024, 1024 };
ControlHandle   vScroll;
extern int              use_statline;

/* dummy items for other modules */
int                             dbgydelta;
int                             dbgpagesize;
WindowRecord    wRecord;
TEHandle dTEH;

void editinit(void) {}
//void macedDbUpd(void) {}
void macedDbPut(char * /*s*/) {}


int tdb2;

void dbgsrcupd(void) {}
void dbginval(void) {}
void dbgContent(Point /*where*/, EventRecord * /*evt*/) {}
void srcScroll(ControlHandle /*theControl*/, int /*theCode*/) {}
void srcAdjust(void) {}

//int os_hilite(int mode) { return 0; }


/* Forward declarations.
*/
void ShowSelect(void);
void SetView(WindowPtr /*w*/);
void UpdateWindow(WindowPtr /*theWindow*/);


void os_update(void)
{
        UpdateWindow(myWindow);
}


#define MAXBUFSIZE (5*1024)
#define REDUCESIZE (2*1024)
 
void os_flush(void) {}

void oscls(void)
{
        TESetSelect(0L, 32767L, TEH);
        TEDelete(TEH);
        ShowSelect();
}

int os_hilite(int mode)
{
    return(0);  /* no highlighting supported */
}

void os_putln(char *s)
{
        char   *p;
        long    len;
        char    c;
        int             i;
        
/*      if (myWindow != FrontWindow()) SelectWindow(myWindow); */
        TESetSelect( 32767L, 32767L, TEH );
        for ( p=s ; *s ; )
        {
                len = 0;
                while ( *s && *s != '\n' && *s != '\r' ) ++s, ++len;
                c = *s;
                *s = '\0';
                TEInsert( p, len, TEH );
                TESetSelect( 32767L, 32767L, TEH );
                if (c == '\n')
                        TEKey(kCR, TEH);
                else if (c == '\r')
                {
                        /*
                         *   Deal with carriage returns:  these are supposed to
                         *   overwrite everything to the beginning of the line.
                         */
                        char *q, *r;

                        DPRINTF(("osmetc2::os_putln - got a linefeed!"));
                        q = *TEGetText( TEH );
                        for (r = q + (*TEH)->teLength; r>q && *r != kCR; --r) ;
                        if (*r == kCR) ++r;          /* don't delete the CR if we actually got one */
                        
                        TESetSelect( (long)( r-q ), (long)((*TEH)->teLength), TEH );
                        TEDelete( TEH );
                        TESetSelect( 32767L, 32767L, TEH );
                }
                *s = c;
                if ( *s ) p = ++s;
        }
        
        /*
         *   Make sure the buffer isn't too long.  If it is, cut it down to the limit
         *   size, and readjust everything to make up for it.
         */
        if ((*TEH)->teLength > MAXBUFSIZE)
        {
                p = *TEGetText( TEH );
                p += REDUCESIZE;
                i = REDUCESIZE;
                while (*p && *p != kCR) ++p, ++i;       /* find the end of a line */
                TESetSelect(0L, (long)i+1, TEH);        /* select start of buffer to the found line */
                TEDelete(TEH);                                          /* delete that portion */
        }
        
        ShowSelect();
}

int  cmdpoint;
char onechar;

int os_getc(void)
{
        TESetSelect( 32767L, 32767L, TEH );
        ShowSelect();
        cmdpoint = (*TEH)->selStart;
        onechar = 1;
        /* while(topEvent()); */
        return(onechar);
}

unsigned char *os_gets(unsigned char * /*buf*/, size_t /*bufl*/)
{
        return NULL;
}

bool ours(WindowPtr w)
{
        return w != NULL && w == myWindow;
}

static void findinfo(WindowPtr /*w*/, TEHandle *te, ControlHandle *vs)
{
        *te = TEH;
        *vs = vScroll;
}

void SetUpWindows(void)
{
        Rect    viewRect, vScrollRect;
        
        SetPort(myWindow = GetNewWindow(windowID, &wRecord, (WindowPtr) -1L));
        gameWindow = myWindow;
/*      wRecord.goAwayFlag = 0; */
        TextFont(4);
        TextSize(9);
        vScrollRect = (*myWindow).portRect;
        vScrollRect.left = vScrollRect.right - 15;
        vScrollRect.right += 1;
        vScrollRect.bottom -= 14;
        vScrollRect.top -= 1;
        vScroll = NewControl(myWindow, &vScrollRect, "\p", 1, 0, 0, 0,
                                                         scrollBarProc, 0L);

        viewRect = qdPort->portRect;
        viewRect.right -= kScrollBarWidth;
        viewRect.bottom -= kScrollBarWidth;
        InsetRect(&viewRect, 4, 4);
        if (use_statline) viewRect.top += STATUS_OFFSET;
        TEH = TENew(&viewRect, &viewRect);
        SetView(qdPort);
        SetPort(myWindow);
}


static void AdjustText(WindowPtr /*w*/)
{
        int                             oldScroll, newScroll, delta;
        TEHandle                te = TEH;
        ControlHandle   vs = vScroll;
        
        oldScroll = (**te).viewRect.top - (**te).destRect.top;
        newScroll = GetControlValue(vs) * (**te).lineHeight;
        delta = oldScroll - newScroll;
        if (delta != 0)
                TEScroll(0, delta, te);
}


static void SetVScroll(void)
        /* XXX: This is identical to the version in ossmac.c! */
{
        int                             n;
        TEHandle                te;
        ControlHandle   vs;
        
        findinfo(myWindow, &te, &vs);
        n = (**te).nLines - linesInFolder;

        if ((**te).teLength > 0 && (*((**te).hText))[(**te).teLength-1] == kCR)
                n++;

        SetControlMaximum(vs, n > 0 ? n : 0);
}

static void cliplineindex(TEHandle te, int& line)
{
        assert(line >= 0 && line < (**te).nLines);
        if (line < 0) line = 0;
        if (line >= (**te).nLines) line = (**te).nLines - 1;
}

void ShowSelect(void)
{
        TEHandle                te;
        ControlHandle   vs;
        int                             topLine, bottomLine, theLine;
        
        findinfo(myWindow, &te, &vs);
        if (te) {
                SetView(myWindow);
                SetVScroll();
                AdjustText(myWindow);
                
                topLine = GetControlValue(vs); cliplineindex(te, topLine);              
                bottomLine = topLine + linesInFolder; cliplineindex(te, topLine);
                
                if ((**te).selStart < (**te).lineStarts[topLine]
                        || (**te).selStart >= (**te).lineStarts[bottomLine])
                {
                        for (theLine = 0; theLine < (**te).nLines && (**te).selStart >= (**te).lineStarts[theLine]; theLine++)
                                ;
                        SetControlValue(vs, theLine - linesInFolder / 2);
                        AdjustText(myWindow);
                }
        }
}

void SetView(WindowPtr w)
{
        TEHandle                te;
        ControlHandle   vs;

        findinfo(w, &te, &vs);
        if (te) {
                (**te).viewRect = w->portRect;
                (**te).viewRect.right -= kScrollBarWidth;
                (**te).viewRect.bottom -= kScrollBarWidth;
                InsetRect(&(**te).viewRect, 4, 4);
                if (use_statline && w) (**te).viewRect.top += STATUS_OFFSET;
                linesInFolder = Dy((**te).viewRect)/(**te).lineHeight;
                (**te).viewRect.bottom = (**te).viewRect.top + (**te).lineHeight*linesInFolder;
                #ifndef NO_DEST_ADJUST
                (**te).destRect.right = (**te).viewRect.right;
                #endif /* NO_DEST_ADJUST */
                TECalText(te);
        }
}

extern char statbuf[];
extern char scorebuf[];

void macedShostat(int doloc /* 1 if location is to be redrawn, 0 otherwise */)
{
        int             saveFont;
        Rect    myrect;
        int             saveSize;
        GrafPtr savePort;
        
        if (!use_statline) return;
        
        GetPort(&savePort);
        SetPort(gameWindow);

        saveFont = qdPort->txFont;
        saveSize = qdPort->txSize;
        TextFont(0);
        TextSize(0);
        
        /*
         *   Erase the rectangle occupied by the status line, not counting the lines below
         */
        myrect.top = qdPort->portRect.top;
        myrect.left = qdPort->portRect.left;
        myrect.right = qdPort->portRect.right - kScrollBarWidth;
        myrect.bottom = STATUS_OFFSET - 3;
        if (!doloc) myrect.left += TextWidth(statbuf+1, 0, statbuf[0]) + 1;
        EraseRect(&myrect);
        
        /*
         *   Draw the location string
         */
        if (doloc)
        {
                MoveTo(2, STATUS_OFFSET - 6);
                DrawString((unsigned char *) statbuf);
        }
        
        /*
         *   Draw the score string
         */
        MoveTo(qdPort->portRect.right - kScrollBarWidth -
                        TextWidth(scorebuf+1, 0, scorebuf[0]) - 2, STATUS_OFFSET - 6);
        DrawString((unsigned char *) scorebuf);
        
        /*
         *   Draw the double line below it all
         */
        MoveTo(0, STATUS_OFFSET - 1);
        LineTo(Dx(qdPort->portRect) - kScrollBarWidth, STATUS_OFFSET - 1);
        MoveTo(0, STATUS_OFFSET - 3);
        LineTo(Dx(qdPort->portRect) - kScrollBarWidth, STATUS_OFFSET - 3);
        
        /*
         *   Restore our font info
         */
        TextFont(saveFont);
        TextSize(saveSize);
        SetPort(savePort);
}

void UpdateWindow(WindowPtr theWindow)
{
        GrafPtr savePort;
        
        GetPort(&savePort);
        SetPort(theWindow);
        BeginUpdate(theWindow);
        EraseRect(&theWindow->portRect);
        
        macedShostat(1);
        TEUpdate(&theWindow->portRect, TEH);
        DrawGrowIcon(theWindow);
        
        /* draw controls */
        DrawControls(theWindow);

        EndUpdate(theWindow);
        SetPort(savePort);
}

static pascal void ScrollProc(ControlHandle theControl, short theCode)
{
        int                     pageSize;
        int                     scrollAmt;
        TEHandle        te;
        
        if (theControl == vScroll) te = TEH;
                // XXX: What happens if theControl ISN'T vScroll?
        
        if (theCode == 0) return;
        
        pageSize = Dy((**te).viewRect) / (**te).lineHeight - 1;
        
        switch (theCode)
        {
                case kControlUpButtonPart:
                        scrollAmt = -1;
                        break;
                case kControlDownButtonPart:
                        scrollAmt = 1;
                        break;
                case kControlPageUpPart:
                        scrollAmt = -pageSize;
                        break;
                case kControlPageDownPart:
                        scrollAmt = pageSize;
                        break;
        }
        SetControlValue(theControl, GetControlValue(theControl) + scrollAmt);
        AdjustText(gameWindow);
}

int DoContent(WindowPtr theWindow, EventRecord *theEvent)
{
        ControlPartCode cntlCode;
        ControlHandle   theControl;
        GrafPtr                 savePort;
        bool                    okToTrack;
        
        if (tdb2)
                okToTrack = ours(theWindow);
        else
                okToTrack = (theWindow == myWindow);
                        
        GetPort(&savePort);
        SetPort(theWindow);
        GlobalToLocal(&theEvent->where);
        if ((cntlCode = FindControl(theEvent->where, theWindow, &theControl)) == 0) {
                if (PtInRect(theEvent->where, &(**TEH).viewRect)) {
                        TEClick(theEvent->where, (theEvent->modifiers & shiftKey)!=0, TEH);
                        if ((*TEH)->selStart < cmdpoint && (*TEH)->selStart == (*TEH)->selEnd)
                                TESetSelect(32767L, 32767L, TEH);
                }
        }
        else if (cntlCode == kControlIndicatorPart && okToTrack) {
                TrackControl(theControl, theEvent->where, NULL);
                AdjustText(theWindow);
        }
        else if (okToTrack) {
                ControlActionUPP        scrollprocUPP;
                
                scrollprocUPP = NewControlActionProc(ScrollProc);
                if (scrollprocUPP) {
                        TrackControl(theControl, theEvent->where, scrollprocUPP);
                        DisposeRoutineDescriptor(scrollprocUPP);
                }
        }

        SetPort(savePort);
        return 1;
}

void MyGrowWindow(WindowPtr w, Point p)
{
        GrafPtr                 savePort;
        long                    theResult;
        Rect                    r;
        extern int              pagelength;
        TEHandle                te;
        ControlHandle   vs;
        
        findinfo(w, &te, &vs);
        GetPort(&savePort);
        SetPort(w);
        
        if (p.v || p.h)
        {
                SetRect(&r, 80, 80, qdBits.bounds.right, qdBits.bounds.bottom);
                theResult = GrowWindow(w, p, &r);
                if (theResult == 0)
                        return;
                SizeWindow(w, LoWord(theResult), HiWord(theResult), 1);
        }
        
        InvalRect(&w->portRect);
        SetView(w);
        HidePen();

        /* resize the vertical scroll bar */
        MoveControl(vs, w->portRect.right - kScrollBarWidth, w->portRect.top - 1);
        SizeControl(vs, kScrollBarWidth + 1, Dy(w->portRect) - (kScrollBarWidth - 2));

        ShowPen();

        if (te)
        {
                SetVScroll();
                AdjustText(w);
                pagelength = ((Dy(w->portRect) - (kScrollBarWidth-2)) / (*te)->lineHeight) - 4;
        }
        
        SetPort(savePort);
}

void os_csr_busy(int f)
{
        #pragma unused(f)
}

void os_sleep_ms(long delay_in_milliseconds)
{
        #pragma unused(delay_in_milliseconds)
}

long os_get_sys_clock_ms(void)
{
        return (long) (TickCount() * (1000.0 / 60.0));
                // XXX: This will give weird results if the system is up for more than 24 days!
}

int os_get_event(unsigned long timeout_in_milliseconds, int use_timeout,
                 os_event_info_t *info)
{
        #pragma unused(timeout_in_milliseconds, use_timeout, info)
        
        return OS_EVT_TIMEOUT;
}

void os_set_title(const char *title)
{
        #pragma unused(title)
}

void os_more_prompt()
{
}
