/*
==========================================================================================

	File:		mac_tc.r

	Contains:	Resources for TADS Compiler.

	Copyright:	 1998 by Christopher Nebel, all rights reserved.

	Change History (most recent first):
	
		<5>		 9/25/98	Neb		Update copyright strings.
		<4>		 9/20/98	Neb		Add resources from binary file.
		<3>		 8/26/98	Neb		Use new common.r.
		<2>		 8/15/98	Neb		Add preference file name string.
		<1>		 7/21/98	Neb		Initial checkin.

==========================================================================================
*/

#define SystemSevenOrLater 1

#include <Types.r>
#include <Processes.r>
#include <Dialogs.r>
#include <Menus.r>
#include <Icons.r>


#define TADS_COMPONENT  "Compiler"

#include "common.r"

// =======================================================================================
// == Signature and size.
// ==

type 'TADS' as 'STR ';

resource 'TADS' (0) {
	"TADS: The Text Adventure Development System " TADSLEVEL
};

#if 0
/* CodeWarrior builds a SIZE(-1) resource for us. */
resource 'SIZE' (-1) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	needsActivateOnFGSwitch,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	1450 * 1024,
	1450 * 1024
};
#endif

// =======================================================================================
// == Dialog, alert, and window resources.
// ==

// ...............................................
// .. Save settings (obsolete)

#if 0
resource 'ALRT' (9175) {
	{40, 40, 156, 290},
	9175,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	},
	alertPositionMainScreen
};

resource 'DITL' (9175) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{87, 14, 107, 74},
		Button {
			enabled,
			"Save"
		},
		/* [2] */
		{87, 93, 107, 153},
		Button {
			enabled,
			"Discard"
		},
		/* [3] */
		{87, 174, 107, 234},
		Button {
			enabled,
			"Cancel"
		},
		/* [4] */
		{23, 90, 61, 239},
		StaticText {
			disabled,
			"Save current compiler settings?"
		}
	}
};
#endif

// ...............................................
// .. About TADS

resource 'DLOG' (7768) {
	{100, 142, 316, 512},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	7768,
	"About TADS",
	alertPositionMainScreen
};

resource 'DITL' (7768) {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{172, 158, 192, 218},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{62, 49, 85, 321},
		StaticText {
			disabled,
			"The Text Adventure Development System\n"
		},
		/* [3] */
		{39, 154, 58, 216},
		StaticText {
			disabled,
			"TADS 2.2"
		},
		/* [4] */
		{119, 82, 136, 288},
		StaticText {
			disabled,
			"All rights reserved worldwide."
		},
		/* [5] */
		{102, 33, 120, 337},
		StaticText {
			disabled,
			"Copyright  1990-98 by Michael J. Roberts."
		}
	}
};

// ...............................................
// .. Compiler settings

resource 'DLOG' (19587) {
	{42, 4, 334, 500},
	documentProc,
	visible,
	noGoAway,
	0x0,
	19587,
	"TADS Compiler v2.2",
	staggerMainScreen
};

resource 'DITL' (19587) {
	{	/* array DITLarray: 23 elements */
		/* [1] */
		{8, 132, 24, 406},
		StaticText {
			disabled,
			""
		},
		/* [2] */
		{8, 12, 24, 119},
		StaticText {
			disabled,
			"File to compile:"
		},
		/* [3] */
		{6, 412, 26, 480},
		Button {
			enabled,
			"Select"
		},
		/* [4] */
		{34, 12, 50, 131},
		StaticText {
			disabled,
			"#include folders:"
		},
		/* [5] */
		{34, 133, 123, 408},
		UserItem {
			enabled
		},
		/* [6] */
		{52, 412, 72, 480},
		Button {
			enabled,
			"Add"
		},
		/* [7] */
		{80, 412, 100, 480},
		Button {
			enabled,
			"Remove"
		},
		/* [8] */
		{264, 320, 284, 388},
		Button {
			enabled,
			"Compile"
		},
		/* [9] */
		{264, 396, 284, 464},
		Button {
			enabled,
			"Quit"
		},
		/* [10] */
		{216, 12, 232, 145},
		CheckBox {
			enabled,
			"Allow Swapping"
		},
		/* [11] */
		{236, 92, 252, 334},
		StaticText {
			disabled,
			"<Default>"
		},
		/* [12] */
		{236, 12, 252, 83},
		StaticText {
			disabled,
			"Swap File:"
		},
		/* [13] */
		{234, 412, 254, 480},
		Button {
			enabled,
			"Select"
		},
		/* [14] */
		{264, 16, 280, 161},
		StaticText {
			disabled,
			"Maximum Cache Size:"
		},
		/* [15] */
		{264, 168, 280, 259},
		EditText {
			disabled,
			""
		},
		/* [16] */
		{0, 655, 21, 928},
		CheckBox {
			enabled,
			"Version 1 Compatibility Mode"
		},
		/* [17] */
		{128, 12, 144, 236},
		CheckBox {
			enabled,
			"Generate precompiled header"
		},
		/* [18] */
		{148, 92, 164, 402},
		StaticText {
			disabled,
			""
		},
		/* [19] */
		{172, 12, 188, 209},
		CheckBox {
			enabled,
			"Load precompiled header"
		},
		/* [20] */
		{192, 92, 208, 402},
		StaticText {
			disabled,
			""
		},
		/* [21] */
		{146, 412, 166, 480},
		Button {
			enabled,
			"Select"
		},
		/* [22] */
		{190, 412, 210, 480},
		Button {
			enabled,
			"Select"
		},
		/* [23] */
		{234, 340, 254, 408},
		Button {
			enabled,
			"Default"
		}
	}
};

// ...............................................
// .. Progress

resource 'DLOG' (9585) {
	{156, 142, 244, 450},
	documentProc,
	visible,
	noGoAway,
	0x0,
	9585,
	"TADS Compile In Progress",
	alertPositionMainScreen
};

resource 'DITL' (9585) {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{54, 123, 74, 183},
		Button {
			enabled,
			"Cancel"
		},
		/* [2] */
		{8, 9, 29, 53},
		StaticText {
			disabled,
			"File:"
		},
		/* [3] */
		{8, 51, 29, 306},
		StaticText {
			disabled,
			""
		},
		/* [4] */
		{32, 9, 51, 54},
		StaticText {
			disabled,
			"Lines:"
		},
		/* [5] */
		{32, 53, 52, 127},
		StaticText {
			disabled,
			""
		}
	}
};

// ...............................................
// .. Memory settings

resource 'DLOG' (13919) {
	{110, 90, 300, 330},
	documentProc,
	visible,
	goAway,
	0x0,
	13919,
	"Memory Settings",
	staggerMainScreen
};

resource 'DITL' (13919) {
	{	/* array DITLarray: 10 elements */
		/* [1] */
		{8, 12, 24, 152},
		StaticText {
			disabled,
			"\"Goto\" symbol table:"
		},
		/* [2] */
		{8, 160, 24, 220},
		EditText {
			disabled,
			"1024"
		},
		/* [3] */
		{40, 12, 56, 152},
		StaticText {
			enabled,
			"Parse memory pool:"
		},
		/* [4] */
		{40, 160, 56, 220},
		EditText {
			disabled,
			"6192"
		},
		/* [5] */
		{72, 12, 88, 152},
		StaticText {
			disabled,
			"Local symbol table:"
		},
		/* [6] */
		{72, 160, 88, 220},
		EditText {
			disabled,
			"2048"
		},
		/* [7] */
		{104, 12, 120, 152},
		StaticText {
			disabled,
			"Run-time stack:"
		},
		/* [8] */
		{104, 160, 120, 220},
		EditText {
			disabled,
			"50"
		},
		/* [9] */
		{140, 12, 156, 152},
		StaticText {
			disabled,
			"Run-time heap:"
		},
		/* [10] */
		{140, 160, 156, 220},
		EditText {
			disabled,
			"1024"
		}
	}
};

// ...............................................
// .. Select folder (obsolete)

#if 0
resource 'DLOG' (1313, purgeable) {
	{0, 0, 238, 356},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	1313,
	"",
	alertPositionMainScreen
};

resource 'DITL' (1313, purgeable) {
	{	/* array DITLarray: 11 elements */
		/* [1] */
		{138, 256, 156, 336},
		Button {
			enabled,
			"Open"
		},
		/* [2] */
		{0, 699, 80, 717},
		Button {
			enabled,
			""
		},
		/* [3] */
		{163, 256, 181, 336},
		Button {
			enabled,
			"Cancel"
		},
		/* [4] */
		{39, 232, 59, 347},
		UserItem {
			disabled
		},
		/* [5] */
		{68, 256, 86, 336},
		Button {
			enabled,
			"Eject"
		},
		/* [6] */
		{93, 256, 111, 336},
		Button {
			enabled,
			"Drive"
		},
		/* [7] */
		{39, 12, 185, 229},
		UserItem {
			enabled
		},
		/* [8] */
		{39, 229, 185, 246},
		UserItem {
			enabled
		},
		/* [9] */
		{124, 252, 125, 340},
		UserItem {
			disabled
		},
		/* [10] */
		{0, 660, 101, 756},
		StaticText {
			disabled,
			""
		},
		/* [11] */
		{193, 46, 214, 195},
		Button {
			enabled,
			"Select Current Folder"
		}
	}
};
#endif

// ...............................................
// .. TADS 1.x compatibility

resource 'DLOG' (15901) {
	{40, 40, 208, 278},
	documentProc,
	visible,
	goAway,
	0x0,
	15901,
	"V1 Compatibility",
	staggerMainScreen
};

resource 'DITL' (15901) {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{40, 16, 56, 176},
		CheckBox {
			enabled,
			"v1 \"} ; else\" handling"
		},
		/* [2] */
		{20, 16, 36, 188},
		CheckBox {
			enabled,
			"Disable new keywords"
		},
		/* [3] */
		{60, 16, 76, 230},
		CheckBox {
			enabled,
			"Disable argument checking"
		},
		/* [4] */
		{80, 16, 96, 211},
		CheckBox {
			enabled,
			"Change \"do\" keyword to:"
		},
		/* [5] */
		{104, 112, 120, 200},
		EditText {
			disabled,
			"_do_"
		}
	}
};

// ...............................................
// .. Error reporting options

resource 'DLOG' (9407) {
	{116, 38, 286, 402},
	documentProc,
	visible,
	goAway,
	0x0,
	9407,
	"Error Reporting Options",
	staggerMainScreen
};

resource 'DITL' (9407) {
	{	/* array DITLarray: 7 elements */
		/* [1] */
		{105, 18, 127, 157},
		CheckBox {
			enabled,
			"Log Errors to file:"
		},
		/* [2] */
		{133, 18, 149, 348},
		StaticText {
			disabled,
			""
		},
		/* [3] */
		{13, 18, 33, 215},
		RadioButton {
			enabled,
			"Important warnings only"
		},
		/* [4] */
		{33, 18, 53, 166},
		RadioButton {
			enabled,
			"More warnings"
		},
		/* [5] */
		{53, 18, 73, 155},
		RadioButton {
			enabled,
			"All warnings"
		},
		/* [6] */
		{104, 282, 127, 348},
		Button {
			enabled,
			"Select"
		},
		/* [7] */
		{76, 18, 94, 339},
		CheckBox {
			enabled,
			"Show \"Ambiguous Binary Operator\" warning"
			"s"
		}
	}
};

// ...............................................
// .. File format version

resource 'DLOG' (28156) {
	{70, 30, 206, 374},
	documentProc,
	visible,
	goAway,
	0x0,
	28156,
	"File Format Version",
	staggerMainScreen
};

resource 'DITL' (28156) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{56, 20, 72, 300},
		RadioButton {
			enabled,
			"A (compatible with 2.0.14 and earlier)"
		},
		/* [2] */
		{76, 20, 92, 300},
		RadioButton {
			enabled,
			"B (requires runtime v2.1.0 or later)"
		},
		/* [3] */
		{96, 20, 112, 300},
		RadioButton {
			enabled,
			"C (requires runtime v2.2.0 or later)"
		},
		/* [4] */
		{23, 59, 45, 272},
		StaticText {
			disabled,
			"Select .GAM file format version"
		}
	}
};

// ...............................................
// .. Preprocessor symbols

resource 'DLOG' (24912) {
	{62, 28, 228, 358},
	documentProc,
	visible,
	goAway,
	0x0,
	24912,
	"Preprocessor Symbols",
	staggerMainScreen
};

resource 'DITL' (24912) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{3, 11, 23, 164},
		StaticText {
			disabled,
			"Symbols to define:"
		},
		/* [2] */
		{27, 15, 155, 158},
		EditText {
			enabled,
			""
		},
		/* [3] */
		{3, 165, 23, 319},
		StaticText {
			disabled,
			"Symbols to remove:"
		},
		/* [4] */
		{27, 169, 155, 312},
		EditText {
			enabled,
			""
		}
	}
};

// ...............................................
// .. Messages window

resource 'WIND' (128) {
	{40, 2, 348, 512},
	documentProc,
	visible,
	goAway,
	0x0,
	"TADS Compiler Messages",
	noAutoCenter
};

// =======================================================================================
// == Menus.
// ==

resource 'MENU' (128) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{
		"About TADS", noIcon, noKey, noMark, plain,
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129) {
	129,
	textMenuProc,
	0x7FFFFFF7,
	enabled,
	"File",
	{
		"Open Settings", noIcon, "O", noMark, plain,
		"Save Settings As", noIcon, "S", noMark, plain,
		"Compile", noIcon, "K", noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (130) {
	130,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	"Edit",
	{
		"Undo", noIcon, "Z", noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Cut", noIcon, "X", noMark, plain,
		"Copy", noIcon, "C", noMark, plain,
		"Paste", noIcon, "V", noMark, plain,
		"Clear", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (22229) {
	22229,
	textMenuProc,
	allEnabled,
	enabled,
	"Options",
	{	/* array: 9 elements */
		/* [1] */
		"V1 Compatibility Options", noIcon, noKey, noMark, plain,
		/* [2] */
		"Generate Debugging Information", noIcon, noKey, noMark, plain,
		/* [3] */
		"Display Statistics", noIcon, noKey, noMark, plain,
		/* [4] */
		"Memory Options", noIcon, noKey, noMark, plain,
		/* [5] */
		"Error options", noIcon, noKey, noMark, plain,
		/* [6] */
		"Game file format", noIcon, noKey, noMark, plain,
		/* [7] */
		"Symbols are case-sensitive", noIcon, noKey, noMark, plain,
		/* [8] */
		"Use C-style operators", noIcon, noKey, noMark, plain,
		/* [9] */
		"Preprocessor Symbols", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (23283) {
	23283,
	textMenuProc,
	allEnabled,
	enabled,
	"Windows",
	{	/* array: 2 elements */
		/* [1] */
		"Messages", noIcon, noKey, noMark, plain,
		/* [2] */
		"Progress", noIcon, noKey, noMark, plain
	}
};

// =======================================================================================
// == BNDL and FREF resources.
// ==

resource 'BNDL' (128) {
	'TADS',
	0,
	{
		'FREF',
		{
			0, 128,
			1, 129,
			2, 130
		},
		
		'ICN#',
		{
			0, 128,
			1, 130,
			2, 131
		}
	}
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};

resource 'FREF' (129) {
	'TEXT',
	1,
	""
};

resource 'FREF' (130) {
	'SWAP',
	2,
	""
};

// =======================================================================================
// == Icons.
// ==

// ---------------------------------------------------------------------------------------
// -- Large icons.

// ...............................................
// .. ICN#

resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 FFFF FFF8 8000 0008"
		$"8F91 C708 8229 281C 8229 2624 827D 215C"
		$"8245 CE98 8000 0138 FFFF DE68 8000 24C8"
		$"8000 49C8 8000 9328 8001 2618 8002 4E08"
		$"8002 9A07 8001 7C07 8002 8007 8002 E007"
		$"8007 1C07 8004 03C7 8040 7C3F 8001 831F"
		$"8082 0098 8004 0058 8108 0038 8008 0038"
		$"8010 3818 8E10 4018 8810 4018 FFFF FFF8",
		/* [2] */
		$"0000 0000 0000 0000 FFFF FFF8 FFFF FFF8"
		$"FFFF FFF8 FFFF FFFC FFFF FFFC FFFF FFFC"
		$"FFFF FFF8 FFFF FFF8 FFFF FFF8 FFFF FFF8"
		$"FFFF FFF8 FFFF FFF8 FFFF FFF8 FFFF FFF8"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFF8 FFFF FFF8 FFFF FFF8 FFFF FFF8"
		$"FFFF FFF8 FFFF FFF8 FFFF FFF8 FFFF FFF8"
	}
};

resource 'ICN#' (130) {
	{	/* array: 2 elements */
		/* [1] */
		$"FFFF F800 8000 0C00 BE47 1A00 88A4 A900"
		$"88A4 9880 89F4 8840 8917 3FE0 8000 0020"
		$"FFFF FFE0 8000 0020 8000 0020 8780 0020"
		$"8840 0020 9320 0020 97A0 0020 97A0 0020"
		$"9327 6F20 8840 0020 8780 0020 8000 0020"
		$"8000 0020 8780 0020 8840 0020 9020 0020"
		$"9020 0020 9020 0020 9027 6F30 8840 003C"
		$"8780 003F 8000 003F 8000 003C FFFF FFF0",
		/* [2] */
		$"FFFF F800 FFFF FC00 FFFF FE00 FFFF FF00"
		$"FFFF FF80 FFFF FFC0 FFFF FFE0 FFFF FFE0"
		$"FFFF FFE0 FFFF FFE0 FFFF FFE0 FFFF FFE0"
		$"FFFF FFE0 FFFF FFE0 FFFF FFE0 FFFF FFE0"
		$"FFFF FFE0 FFFF FFE0 FFFF FFE0 FFFF FFE0"
		$"FFFF FFE0 FFFF FFE0 FFFF FFE0 FFFF FFE0"
		$"FFFF FFE0 FFFF FFE0 FFFF FFF0 FFFF FFFC"
		$"FFFF FFFF FFFF FFFF FFFF FFFC FFFF FFF0"
	}
};

resource 'ICN#' (131) {
	{	/* array: 2 elements */
		/* [1] */
		$"FFFF F800 8000 0C00 BE47 1A00 88A4 A900"
		$"88A4 9880 89F4 8840 8917 3FE0 8000 0020"
		$"FFFF FFE0 8000 0020 8000 0020 8001 0020"
		$"8006 8020 8005 C020 801B E020 8017 F020"
		$"806F D820 805F B020 81BF 7820 817E D820"
		$"86FD F820 86FB 6820 8777 E020 87AD A020"
		$"85DF 8020 84F6 8020 807E 0030 802A 003C"
		$"8008 003F 8008 003F 8000 003C FFFF FFF0",
		/* [2] */
		$"FFFF F800 FFFF FC00 FFFF FE00 FFFF FF00"
		$"FFFF FF80 FFFF FFC0 FFFF FFE0 FFFF FFE0"
		$"FFFF FFE0 FFFF FFE0 FFFF FFE0 FFFF FFE0"
		$"FFFF FFE0 FFFF FFE0 FFFF FFE0 FFFF FFE0"
		$"FFFF FFE0 FFFF FFE0 FFFF FFE0 FFFF FFE0"
		$"FFFF FFE0 FFFF FFE0 FFFF FFE0 FFFF FFE0"
		$"FFFF FFE0 FFFF FFE0 FFFF FFF0 FFFF FFFC"
		$"FFFF FFFF FFFF FFFF FFFF FFFC FFFF FFF0"
	}
};

// ...............................................
// .. icl4

resource 'icl4' (128) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF F000"
	$"F000 0000 0000 0000 0000 0000 0000 F000"
	$"F000 FFFF F00F 000F FF00 0FFF 0000 F000"
	$"F000 00F0 00E0 E00F 00F0 F000 000F FF00"
	$"F000 00F0 00F0 F00F 00F0 0FF0 00F4 4F00"
	$"F000 00F0 0EFF FE0F 00F0 000F 0F1F 3F00"
	$"F000 00F0 0F00 0F0F FF00 FFF0 F12F F000"
	$"F000 0000 0000 0000 0000 000F 12FF F000"
	$"FFFF FFFF FFFF FFFF FFCF FFF1 2FFC F000"
	$"F000 0000 0000 0000 00F0 DF12 FF00 F000"
	$"F000 0000 0000 0000 0FCD F12F FF00 F000"
	$"F000 0000 0000 0000 F0DF 12FF DDF0 F000"
	$"F000 0000 0000 000F CDF1 2FFD DC0F F000"
	$"F000 0000 0000 00F0 DF12 FFFD C0C0 F000"
	$"F000 0000 0000 00FD F12F FCFC 0C0C CFFF"
	$"F000 0000 0000 000F 1FFF FFC0 C0C0 DFFF"
	$"F000 0000 0000 00F1 FC0C 0C0C 0C0C DFFF"
	$"F000 0000 0000 00F2 FFFD DDD0 C0C0 DFFF"
	$"F000 0000 CDD0 0FFF DDDF FFDD DD0C DFFF"
	$"F000 0000 DDDD DFDD DDDD DDFF FFDD DFFF"
	$"F000 0000 0EDD DDDD DAEE EEDD DDFF FFFF"
	$"F000 0000 00DD DDDA ADDD DDEE DDDE FFFF"
	$"F000 00DD E0CD DDAD DDDD DDDD EDDE F000"
	$"F000 0DDD DDDD DADD DDDD DDDD DEDE F000"
	$"F000 00DE DDDD ADDD DDDD DDDD DDEE F000"
	$"F000 000D DDDD ADDD DDDD DDDD DDEE F000"
	$"F000 0000 CDDA DDDD DDAA EDDD DDDE F000"
	$"F000 CCDC DDDE DDDD DA00 0DDD DDDE F000"
	$"F000 CDDD DDDE DDDD DA00 0CDD DDDE F000"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF F0"
};

resource 'icl4' (130) {
	$"FFFF FFFF FFFF FFFF FFFF F000 0000 0000"
	$"F000 0000 0000 0000 0000 FF00 0000 0000"
	$"F0FF FFF0 0F00 0FFF 00CF FCF0 0000 0000"
	$"F000 F000 E0E0 0F0C F0F0 F0CF 0000 0000"
	$"F000 F00C F0FC 0F00 F0CF F00C F000 0000"
	$"F000 F00E FFFE 0F0C F000 F0CC CF00 0000"
	$"F000 F0CF 000F CFFF 00FF FFFF FFF0 0000"
	$"F000 0000 0000 0000 0000 0CCC CCF0 0000"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFF0 0000"
	$"F000 0000 0000 0000 0000 0000 0CF0 0000"
	$"F000 0000 0000 0000 0000 0000 0CF0 0000"
	$"F000 0AFF A000 0000 0000 0000 0CF0 0000"
	$"F000 ADDD DA00 0000 000C CD00 00F0 0000"
	$"F00A DDAA DCA0 00CD 000C CE00 0CF0 0000"
	$"F00F DAFF ACF0 0CCC D00D CE00 CCF0 0000"
	$"F00F DAFF ACF0 00DC E00C CE00 DCF0 0000"
	$"F00A DDAA C0A0 0FFF 0FFC FFFF CCF0 0000"
	$"F000 ACCC 0A0C 000D CCCC CCCC CEF0 0000"
	$"F000 0AFF A00C CDCC CCCC CCCC CCF0 0000"
	$"F000 0000 00EC CCCC CCDD DDDC CCF0 0000"
	$"F000 0000 000D CCCC DDCC CCCD DCF0 0000"
	$"F000 0AFF A00C CCCD CCCC CCCC CDF0 0000"
	$"F000 AC00 CA0C CCDC CCCC CCCC CCF0 0000"
	$"F00A C00C CCAC CDCC CCCC CCCC CCF0 0000"
	$"F00F 00CC CCFC CDCC CCCC CCCC CCF0 0000"
	$"F00F 0CCC CDFC DCCC CCCC CCCC CCF0 0000"
	$"F00A CCCC DDAC DFFF CFF0 FFFF CCFE 0000"
	$"F000 ACCD DA0C DCCC CCC0 000C CCFE EE00"
	$"F000 0AFF A00C DCCC CCC0 000C CCFE EEEE"
	$"F000 0000 0ECC DCCC CCCC 00CC CCFE EEEE"
	$"F000 0000 ECCC CECC CCCC CCCC CCFE EE00"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFE"
};

resource 'icl4' (131) {
	$"FFFF FFFF FFFF FFFF FFFF F000 0000 0000"
	$"F000 0000 0000 0000 0000 FF00 0000 0000"
	$"F0FF FFF0 0F00 0FFF 00CF FCF0 0000 0000"
	$"F000 F000 E0E0 0F0C F0F0 F0CF 0000 0000"
	$"F000 F00C F0FC 0F00 F0CF F00C F000 0000"
	$"F000 F00E FFFE 0F0C F000 F0CC CF00 0000"
	$"F000 F0CF 000F CFFF 00FF FFFF FFF0 0000"
	$"F000 0000 0000 0000 0000 0CCC CCF0 0000"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFF0 0000"
	$"F000 0000 0000 0000 0000 0000 0CF0 0000"
	$"F000 0000 0000 0000 0000 0000 0CF0 0000"
	$"F000 0000 0000 000D 0000 0000 0CF0 0000"
	$"F000 0000 0000 0DD0 D000 0000 0CF0 0000"
	$"F000 0000 0000 0F0D DD00 0000 0CF0 0000"
	$"F000 0000 000D D0DD DDD0 0000 0CF0 0000"
	$"F000 0000 000F 0DDD DDDD 0000 0CF0 0000"
	$"F000 0000 0DD0 DDDD DDCF F000 0CF0 0000"
	$"F000 0000 0F0D DDDD DCFF 0000 0CF0 0000"
	$"F000 000D D0DD DDDD CFFF D000 0CF0 0000"
	$"F000 000F 0DDD DDDC FF0E D000 0CF0 0000"
	$"F000 0DD0 DDDD DDCF FFDE D000 0CF0 0000"
	$"F000 0DFC DDDD DCFF 0ED0 D000 0CF0 0000"
	$"F000 0DFD CDDD CFFF DED0 0000 0CF0 0000"
	$"F000 0DFD DCDC FF0E D0D0 0000 0CF0 0000"
	$"F000 0D0F DDCF FFDE D000 0000 0CF0 0000"
	$"F000 0D00 FDDF 0ED0 D000 0000 0CF0 0000"
	$"F000 0000 0FDF DED0 0000 0000 0CFE 0000"
	$"F000 0000 00F0 D0D0 0000 0000 0CFE EE00"
	$"F000 0000 0000 D000 0000 0000 0CFE EEEE"
	$"F000 0000 0000 D000 0000 0000 0CFE EEEE"
	$"F000 0000 0000 0000 0000 0000 0CFE EE00"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFE"
};

// ...............................................
// .. icl8

resource 'icl8' (128) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FF00 0000"
	$"FF00 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 FF00 0000"
	$"FF00 F5F5 FFFF FFFF FFF5 F5FF F5F5 F5FF"
	$"FFFF F5F5 2BFF FFFF F5F5 F5F5 FF00 0000"
	$"FF00 F5F5 F5F5 FFF5 F5F5 FBF5 FBF5 F5FF"
	$"F52B FFF5 FFF5 F5F5 F5F5 F5FF FFFF 0000"
	$"FF00 F5F5 F5F5 FFF5 F5F6 FFF5 FFF6 F5FF"
	$"F5F5 FFF5 2BFF FF2B F5F5 FF13 13FF 0000"
	$"FF00 F5F5 F5F5 FFF5 F5FB FFFF FFFB F5FF"
	$"F52B FFF5 F5F5 F5FF F5FF 05FF D8FF 0000"
	$"FF00 F5F5 F5F5 FFF5 F6FF F5F5 F5FF F6FF"
	$"FFFF F5F5 FFFF FF2B FF05 33FF FF00 0000"
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5FF 0533 FFFF FF00 0000"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF F8FF FFFF FF05 33FF FF2B FF00 0000"
	$"FF00 00F5 00F5 00F5 00F5 00F5 00F5 00F5"
	$"00F5 FF08 33FF 0533 FFFF F52B FF00 0000"
	$"FF00 F500 F500 F500 F500 F500 F500 F500"
	$"F5FF 0833 FF05 33FF FFFF F52B FF00 0000"
	$"FF00 00F5 00F5 00F5 00F5 00F5 00F5 00F5"
	$"FF08 33FF 0533 FFFF 3333 FF2B FF00 0000"
	$"FF00 F500 F500 F500 F500 F500 F500 F5FF"
	$"0833 FF05 33FF FF33 3333 08FF FF00 0000"
	$"FF00 00F5 00F5 00F5 00F5 00F5 00F5 FF08"
	$"33FF 0533 FFFF FF33 3308 0808 FF00 0000"
	$"FF00 F500 F500 F500 F500 F500 F500 FF33"
	$"FF05 33FF FFF8 FF33 0808 0808 08FF FFFF"
	$"FF00 00F5 00F5 00F5 00F5 00F5 00F5 F5FF"
	$"05FF FFFF FFFF 0808 0808 0808 33FF FFFF"
	$"FF00 F500 F500 F500 F500 F500 F500 FF05"
	$"FF08 0808 0808 0808 0808 0808 33FF FFFF"
	$"FF00 00F5 00F5 00F5 00F5 00F5 00F5 FF33"
	$"FFFF FF33 3333 3308 0808 0808 33FF FFFF"
	$"FF00 F500 F500 F500 F7F9 F900 F5FF FFFF"
	$"F9F9 F9FF FFFF 3333 3333 0808 33FF FFFF"
	$"FF00 00F5 00F5 00F5 F9F9 F9F9 F9FF F9F9"
	$"F9F9 F9F9 F9F9 FFFF FFFF 3333 33FF FFFF"
	$"FF00 F500 F500 F500 F5FB F9F9 F9F9 F9F9"
	$"F9FD ACFC FCFB F9F9 F9F9 FFFF FFFF FFFF"
	$"FF00 00F5 00F5 00F5 00F5 F9F9 F9F9 F9FD"
	$"FDF9 F9F9 F9F9 FBFB F9F9 F9FC FFFF FFFF"
	$"FF00 F500 F500 F9F9 FB00 F7F9 F9F9 FDF9"
	$"F9F9 F9F9 F9F9 F9F9 FBF9 F9FC FF00 0000"
	$"FF00 00F5 00F9 F9F9 F9F9 F9F9 F9FD F9F9"
	$"F9F9 F9F9 F9F9 F9F9 F9FB F9FC FF00 0000"
	$"FF00 F500 F500 F9FB F9F9 F9F9 FDF9 F9F9"
	$"F9F9 F9F9 F9F9 F9F9 F9F9 FBFC FF00 0000"
	$"FF00 00F5 00F5 00F9 F9F9 F9F9 FDF9 F9F9"
	$"F9F9 F9F9 F9F9 F9F9 F9F9 FBFC FF00 0000"
	$"FF00 F500 F500 F500 F7F9 F9FD F9F9 F9F9"
	$"F9F9 FDFD FBF9 F9F9 F9F9 F9FB FF00 0000"
	$"FF00 00F5 F7F7 F9F7 F9F9 F9AC F9F9 F9F9"
	$"F9FD 0000 00F9 F9F9 F9F9 F9FB FF00 0000"
	$"FF00 F500 F7F9 F9F9 F9F9 F9FC F9F9 F9F9"
	$"F9FD 0000 00F7 F9F9 F9F9 F9FB FF00 0000"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FF"
};

resource 'icl8' (130) {
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FF00 0000 0000 0000 0000 0000"
	$"FF00 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 FFFF 0000 0000 0000 0000 0000"
	$"FF00 FFFF FFFF FFF5 F5FF F5F5 F5FF FFFF"
	$"F5F5 2BFF FFF8 FF00 0000 0000 0000 0000"
	$"FF00 F5F5 FFF5 F5F5 FBF5 FBF5 F5FF F52B"
	$"FFF5 FFF5 FF00 F8FF 0000 0000 0000 0000"
	$"FF00 F5F5 FFF5 F5F6 FFF5 FFF6 F5FF F5F5"
	$"FFF5 2BFF FF00 00F8 FF00 0000 0000 0000"
	$"FF00 F5F5 FFF5 F5FB FFFF FFFB F5FF F52B"
	$"FFF5 F5F5 FFF5 F6F6 F8FF 0000 0000 0000"
	$"FF00 F5F5 FFF5 F6FF F5F5 F5FF F6FF FFFF"
	$"F5F5 FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"FF00 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F9 F9F9 F9F9 FF00 0000 0000"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"FF00 00F5 00F5 00F5 00F5 00F5 00F5 00F5"
	$"00F5 00F5 00F5 00F5 002B FF00 0000 0000"
	$"FF00 F500 F500 F500 F500 F500 F500 F500"
	$"F500 F500 F500 F500 F52B FF00 0000 0000"
	$"FF00 00F5 00FD FFFF FDF5 00F5 00F5 00F5"
	$"00F5 00F5 00F5 00F5 002B FF00 0000 0000"
	$"FF00 F500 FDFC FBFB FAFD F500 F500 F500"
	$"F500 F52B 2BF9 F500 F52B FF00 0000 0000"
	$"FF00 00FD FCFB FDFD F9F8 FDF5 00F5 2BF9"
	$"00F5 002B 2BFB 00F5 002B FF00 0000 0000"
	$"FF00 F5FF FBFD FFFF FDF7 FF00 F52B 2B2B"
	$"F900 F5F9 2BFB F500 2B2B FF00 0000 0000"
	$"FF00 00FF FBFD FFFF FDF6 FFF5 00F5 F92B"
	$"FBF5 002B 2BFB 00F5 F92B FF00 0000 0000"
	$"FF00 F5FD FAF9 FDFD F600 FD00 F5FF FFFF"
	$"00FF FF2B FFFF FFFF 2B2B FF00 0000 0000"
	$"FF00 00F5 FDF8 F7F6 00FD 002B 0000 00F9"
	$"2B2B 2B2B 2B2B 2B2B 2BFB FF00 0000 0000"
	$"FF00 F500 F5FD FFFF FD00 F52B 2BF9 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B FF00 0000 0000"
	$"FF00 00F5 00F5 00F5 00F5 FB2B 2B2B 2B2B"
	$"2B2B F9F9 F9F9 F92B 2B2B FF00 0000 0000"
	$"FF00 F500 F500 F500 F500 F5F9 2B2B 2B2B"
	$"F9F9 2B2B 2B2B 2BF9 F92B FF00 0000 0000"
	$"FF00 00F5 00FD FFFF FDF5 002B 2B2B 2BF9"
	$"2B2B 2B2B 2B2B 2B2B 2BF9 FF00 0000 0000"
	$"FF00 F500 FDF6 F500 F6FD F52B 2B2B F92B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B FF00 0000 0000"
	$"FF00 00FD F6F5 00F6 2BF7 FD2B 2BF9 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B FF00 0000 0000"
	$"FF00 F5FF F500 F62B F7F8 FF2B 2BF9 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B FF00 0000 0000"
	$"FF00 00FF 00F6 2BF7 F8F9 FF2B F92B 2B2B"
	$"2B2B 2BF8 F8F7 2B2B 2B2B FF00 0000 0000"
	$"FF00 F5FD F62B F7F8 F9FA FD2B F9FF FFFF"
	$"2BFF FF00 FFFF FFFF 2B2B FFFC 0000 0000"
	$"FF00 00F5 FDF7 F8F9 FAFD 002B F92B 2B2B"
	$"2B2B F800 0000 F52B 2B2B FFFC FCFC 0000"
	$"FF00 F500 F5FD FFFF FD00 002B F92B 2B2B"
	$"2B2B F700 0000 F52B 2B2B FFFC FCFC FCFC"
	$"FF00 00F5 00F5 00F5 00FB 2B2B F92B 2B2B"
	$"2B2B 2B2B F5F5 2B2B 2B2B FFFC FCFC FCFC"
	$"FF00 F500 F500 F500 FB2B 2B2B 2BFB 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B FFFC FCFC 0000"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFC"
};

resource 'icl8' (131) {
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FF00 0000 0000 0000 0000 0000"
	$"FF00 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 FFFF 0000 0000 0000 0000 0000"
	$"FF00 FFFF FFFF FFF5 F5FF F5F5 F5FF FFFF"
	$"F5F5 2BFF FFF8 FF00 0000 0000 0000 0000"
	$"FF00 F5F5 FFF5 F5F5 FBF5 FBF5 F5FF F52B"
	$"FFF5 FFF5 FF00 F8FF 0000 0000 0000 0000"
	$"FF00 F5F5 FFF5 F5F6 FFF5 FFF6 F5FF F5F5"
	$"FFF5 2BFF FF00 00F8 FF00 0000 0000 0000"
	$"FF00 F5F5 FFF5 F5FB FFFF FFFB F5FF F52B"
	$"FFF5 F5F5 FFF5 F6F6 F8FF 0000 0000 0000"
	$"FF00 F5F5 FFF5 F6FF F5F5 F5FF F6FF FFFF"
	$"F5F5 FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"FF00 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F9 F9F9 F9F9 FF00 0000 0000"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"FF00 00F5 00F5 00F5 00F5 00F5 00F5 00F5"
	$"00F5 00F5 00F5 00F5 002B FF00 0000 0000"
	$"FF00 F500 F500 F500 F500 F500 F500 F500"
	$"F500 F500 F500 F500 F52B FF00 0000 0000"
	$"FF00 00F5 00F5 00F5 00F5 00F5 00F5 00FA"
	$"00F5 00F5 00F5 00F5 002B FF00 0000 0000"
	$"FF00 F500 F500 F500 F500 F500 F5F9 5600"
	$"FA00 F500 F500 F500 F52B FF00 0000 0000"
	$"FF00 00F5 00F5 00F5 00F5 00F5 00FF 00FA"
	$"FAFA 00F5 00F5 00F5 002B FF00 0000 0000"
	$"FF00 F500 F500 F500 F500 F5F9 5600 FAFA"
	$"FAFA FA00 F500 F500 F52B FF00 0000 0000"
	$"FF00 00F5 00F5 00F5 00F5 00FF 00FA FAFA"
	$"FAFA FAFA 00F5 00F5 002B FF00 0000 0000"
	$"FF00 F500 F500 F500 F5F9 5600 FAFA FAFA"
	$"FAFA F8FF FF00 F500 F52B FF00 0000 0000"
	$"FF00 00F5 00F5 00F5 00FF 00FA FAFA FAFA"
	$"FAF8 FFFF 00F5 00F5 002B FF00 0000 0000"
	$"FF00 F500 F500 F5F9 5600 FAFA FAFA FAFA"
	$"F8FF FFFF F900 F500 F52B FF00 0000 0000"
	$"FF00 00F5 00F5 00FF 00FA FAFA FAFA FAF8"
	$"FFFF 00FB FAF5 00F5 002B FF00 0000 0000"
	$"FF00 F500 F5F9 5600 FAFA FAFA FAFA F8FF"
	$"FFFF F9FB FA00 F500 F52B FF00 0000 0000"
	$"FF00 00F5 00FA FFF8 FAFA FAFA FAF8 FFFF"
	$"00FB FAF5 FAF5 00F5 002B FF00 0000 0000"
	$"FF00 F500 F5FA FFFA F8FA FAFA F8FF FFFF"
	$"F9FB FA00 F500 F500 F52B FF00 0000 0000"
	$"FF00 00F5 00FA FFFA FAF8 FAF8 FFFF 00FB"
	$"FAF5 FAF5 00F5 00F5 002B FF00 0000 0000"
	$"FF00 F500 F5FA F5FF FAFA F8FF FFFF F9FB"
	$"FA00 F500 F500 F500 F52B FF00 0000 0000"
	$"FF00 00F5 00FA 00F5 FFFA FAFF 00FB FAF5"
	$"FAF5 00F5 00F5 00F5 002B FF00 0000 0000"
	$"FF00 F500 F500 F500 F5FF FAFF F9FB FA00"
	$"F500 F500 F500 F500 F52B FFFC 0000 0000"
	$"FF00 00F5 00F5 00F5 00F5 FFF5 FAF5 FAF5"
	$"00F5 00F5 00F5 00F5 002B FFFC FCFC 0000"
	$"FF00 F500 F500 F500 F500 F500 FA00 F500"
	$"F500 F500 F500 F500 F52B FFFC FCFC FCFC"
	$"FF00 00F5 00F5 00F5 00F5 00F5 FAF5 00F5"
	$"00F5 00F5 00F5 00F5 002B FFFC FCFC FCFC"
	$"FF00 F500 F500 F500 F500 F500 F500 F500"
	$"F500 F500 F500 F500 F52B FFFC FCFC 0000"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFC"
};

// ---------------------------------------------------------------------------------------
// -- Small icons.

// ...............................................
// .. ics#

resource 'ics#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 FFFC 8006 800A FFBA 8054 80AC 8156"
		$"81A3 81C3 837B 88F7 8B0C 9204 84E4 FFFC",
		/* [2] */
		$"0000 FFFC FFFE FFFE FFFE FFFC FFFC FFFE"
		$"FFFF FFFF FFFF FFFF FFFC FFFC FFFC FFFC"
	}
};

resource 'ics#' (130) {
	{	/* array: 2 elements */
		/* [1] */
		$"FF80 80C0 80A0 FF90 80F8 9808 BC08 BDC8"
		$"9808 8008 9808 A408 A5C8 980E 800F FFFE",
		/* [2] */
		$"FF80 FFC0 FFE0 FFF0 FFF8 FFF8 FFF8 FFF8"
		$"FFF8 FFF8 FFF8 FFF8 FFF8 FFFE FFFF FFFE"
	}
};

resource 'ics#' (131) {
	{	/* array: 2 elements */
		/* [1] */
		$"FF80 80C0 80A0 FF90 80F8 8108 8288 85C8"
		$"8B48 96C8 BD48 AB08 B508 AC0E 840F FFFE",
		/* [2] */
		$"FF80 FFC0 FFE0 FFF0 FFF8 FFF8 FFF8 FFF8"
		$"FFF8 FFF8 FFF8 FFF8 FFF8 FFFE FFFF FFFE"
	}
};

// ...............................................
// .. ics4

resource 'ics4' (128) {
	$"0000 0000 0000 0000 FFFF FFFF FFFF FF00"
	$"F000 0000 0000 0FF0 F000 0000 0000 F4F0"
	$"FFFF FFFF F0FF F1F0 F000 0000 0FDF 1F00"
	$"F000 0000 FDF1 FF00 F000 000F DF1F DFF0"
	$"F000 000F F1FD CCFF F000 000F FFDC CCFF"
	$"F000 DDFF DFFF FDFF F000 EDDD AEEE DFFF"
	$"F0DD EDAA DDDD EF00 F00E DDAD DDDD DF00"
	$"F0CD DADD AAED DF00 FFFF FFFF FFFF FF"
};

resource 'ics4' (130) {
	$"FFFF FFFF F000 0000 F000 0000 FF00 0000"
	$"F000 0000 F0F0 0000 FFFF FFFF F00F 0000"
	$"F000 0000 FFFF F000 F00F F000 0CCC F000"
	$"F0FF AF00 000C F000 F0FA EF0F FF0C F000"
	$"F00F F000 CC0C F000 F000 0C00 CCCC F000"
	$"F00F FCCC CCCC F000 F0FC CFCC CCCC F000"
	$"F0FC DFCF FFCC F000 F00F FCCC C00C FEE0"
	$"F00C CCCC C00C FEEE FFFF FFFF FFFF FEE0"
};

resource 'ics4' (131) {
	$"FFFF FFFF F000 0000 F000 0000 FF00 0000"
	$"F000 0000 F0F0 0000 FFFF FFFF F00F 0000"
	$"F000 0000 FFFF F000 F000 000F 0CCC F000"
	$"F000 00FC F00C F000 F000 0ACD DA0C F000"
	$"F000 ACDD CE0C F000 F00A CDDC AE0C F000"
	$"F0AE DDCA 0E0C F000 F0ED ACAE 000C F000"
	$"F0E0 DA0E 000C F000 F000 0E00 000C FEE0"
	$"F000 0E00 000C FEEE FFFF FFFF FFFF FEE0"
};

// ...............................................
// .. ics8

resource 'ics8' (128) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF 0000"
	$"FF00 F5F5 F5F5 F5F5 F5F5 F5F5 F5FF FF00"
	$"FF00 F5F5 F5F5 F5F5 F5F5 F5F5 FF13 FF00"
	$"FFFF FFFF FFFF FFFF FFF5 FFFF FF05 FF00"
	$"FF00 00F5 00F5 00F5 00FF 33FF 05FF 0000"
	$"FF00 F500 F500 F500 FF33 FF05 FFFF 0000"
	$"FF00 00F5 00F5 00FF 33FF 05FF 33FF FF00"
	$"FF00 F500 F500 F5FF FF05 FF33 0808 FFFF"
	$"FF00 00F5 00F5 00FF FFFF 3308 0808 FFFF"
	$"FF00 F500 F9F9 FFFF F9FF FFFF FF33 FFFF"
	$"FF00 00F5 FBF9 F9F9 FDFC FCFB F9FF FFFF"
	$"FF00 F9F9 FBF9 FDFD F9F9 F9F9 FBFF 0000"
	$"FF00 00FB F9F9 FDF9 F9F9 F9F9 F9FF 0000"
	$"FF00 F7F9 F9FD F9F9 FDFD FBF9 F9FF 0000"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'ics8' (130) {
	$"FFFF FFFF FFFF FFFF FF00 0000 0000 0000"
	$"FFF5 F5F5 F5F5 F5F5 FFFF 0000 0000 0000"
	$"FFF5 F5F5 F5F5 F5F5 FFF5 FF00 0000 0000"
	$"FFFF FFFF FFFF FFFF FF00 F5FF 0000 0000"
	$"FFF5 00F5 00F5 00F5 FFFF FFFF FF00 0000"
	$"FF00 F5FF FFF5 F500 F5F8 F8F8 FF00 0000"
	$"FFF5 FFFE FDFF 00F5 00F5 002B FF00 0000"
	$"FF00 FFFD FCFF F5FF FFFF F52B FF00 0000"
	$"FFF5 F5FF FFF5 00F5 2B2B 002B FF00 0000"
	$"FF00 F5F5 F52B F500 2B2B 2B2B FF00 0000"
	$"FFF5 F5FF FF2B 2B2B 2B2B 2B2B FF00 0000"
	$"FF00 FFF6 F7FF 2B2B 2BF8 F82B FF00 0000"
	$"FFF5 FFF7 F9FF 2BFF FFFF 2B2B FF00 0000"
	$"FF00 F5FF FF2B 2BF8 2B00 F52B FFFC FC00"
	$"FFF5 002B 2B2B 2BF8 2BF5 002B FFFC FCFC"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFC FC"
};

resource 'ics8' (131) {
	$"FFFF FFFF FFFF FFFF FF00 0000 0000 0000"
	$"FFF5 F5F5 F5F5 F5F5 FFFF 0000 0000 0000"
	$"FFF5 F5F5 F5F5 F5F5 FFF5 FF00 0000 0000"
	$"FFFF FFFF FFFF FFFF FF00 F5FF 0000 0000"
	$"FF00 F500 F500 F500 FFFF FFFF FF00 0000"
	$"FF00 00F5 00F5 00FE 00F8 F8F8 FF00 0000"
	$"FF00 F500 F500 FEF6 FE00 F52B FF00 0000"
	$"FF00 00F5 00FD F6F9 F9FD 002B FF00 0000"
	$"FF00 F500 FDF6 F9F9 F8FC F52B FF00 0000"
	$"FF00 00FD F6F9 F9F8 FDFB 002B FF00 0000"
	$"FF00 FDFC F9F9 F8FD F5FB F52B FF00 0000"
	$"FF00 FBF9 FDF8 FDFB 00F5 002B FF00 0000"
	$"FF00 FB00 F9FD F5FB F500 F52B FF00 0000"
	$"FF00 00F5 00FB 00F5 00F5 002B FFFC FC00"
	$"FF00 F500 F5FB F500 F500 F52B FFFC FCFC"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFC FC"
};
